#!/bin/bash
function retry()
{
        local n=0
        $@
        while [ $? -ne 0 -a $n -lt 5 ]
        do
                sleep 2
                ((n++))
                echo "retying $n"
                $@
        done
}

curl -s http://localhost/api/license/?sid=1|grep -E "MKT=4|RDR"
if [ $? -ne 0 ]
then
        echo `date +"%m/%d/%Y %H:%M:%S"` " - Enteprise Plus not detected, no AV database download"
        exit 0
fi


#freshclam
cd /usr/bp/bin/rdr/apptests/tools/
rm -fr clamav
mkdir -p clamav/database
cd clamav/database
echo `date +"%m/%d/%Y %H:%M:%S"` " - Downloading cvd files.."
retry wget -O main.cvd http://database.clamav.net/main.cvd
retry wget -O daily.cvd http://database.clamav.net/daily.cvd
retry wget -O bytecode.cvd http://database.clamav.net/bytecode.cvd
cd ../..
#/bin/cp /var/lib/clamav/* clamav/database/
zip /usr/bp/bin/rdr/apptests/tools/clamav_scan.zip clamav/database/*
cp -fr /usr/bp/bin/rdr/apptests/tools/clamav_scan.zip /backups/samba/
