﻿param([Parameter(Mandatory=$true)][string]$ip)
$erroractionpreference = 'stop';
trap [exception]{
	$outf = $MyInvocation.MyCommand.Definition + ".out";
	$_.Exception.Message > $outf
}

$tc = test-connection -ComputerName $ip -Count 1  -Quiet
if($tc -eq $false){
	throw "Cannot reach the ip:  $ip" 
}