#!/bin/bash
#
#	Checkping.sh - Checking ping for a string							
#	Usage: Chechping.sh [ip]
#																	

log="$0.out"
echo "Command: ./$0 $*" > $log
echo "Params: $#" >> $log

# Checking arguments
declare -i idx=2
for arg in "$@"
do
	next=${!idx}
	first=${next:0:1}
	if [ "$arg" == "-ip" -a "$first" != "-" ]; then 
		ip=$next
	fi
	idx=$idx+1
done
echo "" >> $log
echo "IP: $ip" >> $log
echo "" >> $log

echo "-------------" >> $log
ping $ip -c3 >> $log
retcode=$?
echo "-------------" >> $log

echo "" >> $log
echo "ExitCode: $retcode" >> $log
exit $retcode
