#!/bin/bash
log="$0.out"
echo "Command: ./$0 $*" > $log
echo "Params: $#" >> $log

# Checking arguments
declare -i idx=2
for arg in "$@"
do
	next=${!idx}
	first=${next:0:1}
	if [ "$arg" == "-service" -a "$first" != "-" ]; then 
		process=$next
	fi
	idx=$idx+1
done
ps -fC $process
retcode=$?
echo "Process status: $retcode" >> $log
exit $retcode
