#!/bin/bash
#	CheckWeb.sh - Checking URL for a string							
#	Usage: ChkWeb.sh [url] [keyword]
#																	
log="$0.out"
echo "ChkWeb.sh - Checking Web" > $log

# Checking arguments
declare -i idx=2
for arg in "$@"
do
	next=${!idx}
	first=${next:0:1}
	if [ "$arg" == "-url" -a "$first" != "-" ]; then 
		url=$next
	fi
	if [ "$arg" == "-expword" -a "$first" != "-" ]; then 
		word=$next
	fi
	idx=$idx+1
done

echo "" >> $log
echo "URL: $url" >> $log
echo "Keyword: $word" >> $log
echo "" >> $log
echo "command: curl $url|grep $word >> $log"

curl $url|grep $word
retcode=$?
echo "ExitCode: $retcode" >> $log
exit $retcode
