>"$0.out"

for i in $(ip -o link show | awk -F': ' '{print $2}'|grep -v lo)
do
	ip=`(ifconfig $i | awk /'inet addr/ {print $2}' | cut -f2 -d":" )`
	bcast=`(ifconfig $i | awk /'Bcast/ {print $3}' | cut -f2 -d":" )`
	mask=`(ifconfig $i | awk /'inet addr/ {print $4}' | cut -f2 -d":" )`
	hwaddr=`(ifconfig $i | awk /'HWaddr/ {print $4,$5}' | cut -f2 -d" " )`
	gw=`ip route list | awk ' /^default/ {print $3}'`
	dns1=`cat /etc/resolv.conf |grep nameserver| head -1|cut -d " " -f2`
	dns2=`cat /etc/resolv.conf |grep nameserver| tail -1|cut -d " " -f2`
	echo "NAME=$i; IP=$ip; MASK=$mask; GW=$gw; DNS1=$dns1; DNS2=$dns2;" >> "$0.out"
done
