﻿#!/bin/bash
log="$0.out"
echo "Command: ./$0 $*" > $log
echo "Params: $#" >> $log

# Checking arguments
declare -i idx=2
for arg in "$@"
do
	next=${!idx}
	first=${next:0:1}
	if [ "$arg" == "-arguments" -a "$first" != "-" ]; then 
		arguments=$next
	fi
	if [ "$arg" == "-name" -a "$first" != "-" ]; then 
		name=$next
	fi
	idx=$idx+1
done
$name $arguments &>> $log
retcode=$? >> $log
echo "Process status: $retcode" >> $log
exit $retcode
